Fork me on GitHub
#kaocha
<
2021-03-05
>
reefersleep08:03:43

How would one invoke a plugin-specific argument when calling from the command line? I’m referring to the warning suppressal that I’m describing here: https://github.com/Reefersleep/gitcha#warning

plexus10:03:13

Seems this plugin does not allow for that

plexus10:03:45

it would need to implement the cli-options hook first, as shown here: https://github.com/lambdaisland/kaocha/blob/main/src/kaocha/plugin/notifier.clj#L136-L146

plexus10:03:54

and then check for the option in config, which gitcha does, but the cli-option is missing. Gitcha should add an option like --gitcha-suppress-warnings and check for that

reefersleep10:03:47

Right you are! I’ll go ahead and do that 🙂

reefersleep10:03:13

@U07FP7QJ0 I'm curious to hear if this was how you envisioned people making plug-ins, or if you had imagined some other project structure.

plexus10:03:28

yeah this looks about right, just a file with a defplugin, you don't need more than that

🍻 1